import { Module } from "@nestjs/common";
import { ConfigModule } from "@nestjs/config";
import { LogService } from "./logger/logger.service";
import { ThrottlerModule } from "@nestjs/throttler";

@Module({
	imports: [
		ThrottlerModule.forRoot([{
			ttl: 60000,
			limit: 10,
		}]),
		ConfigModule.forRoot({
			isGlobal: true
		})
	],
	exports: [LogService],
	controllers: [],
	providers: [LogService],
})
export class AppModule {}
