import { randomStringGenerator } from "@nestjs/common/utils/random-string-generator.util";
import { NestFactory } from "@nestjs/core";
import {
	FastifyAdapter,
	type NestFastifyApplication,
} from '@nestjs/platform-fastify';
import { AppModule } from "./app.module";
import helmet from "helmet";

async function bootstrap() {
	const app = await NestFactory.create<NestFastifyApplication>(
		AppModule,
		new FastifyAdapter({logger: true})
	);
	app.use(helmet())
	app.enableCors();
	await app.listen(process.env.APP_PORT || 3333, '0.0.0.0');
}
bootstrap();